umbrello: ActivityDialog Class Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
ActivityDialog Class Reference

`#include <activitydialog.h>`

Inheritance diagram for ActivityDialog:

## Classes
struct | GeneralPageWidgets

## Public Member Functions
| ActivityDialog (QWidget *parent, ActivityWidget *pWidget)
bool | getChangesMade () const
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Slots
void | slotOk ()
void | slotApply ()
void | slotShowActivityParameter ()
void | slotHideActivityParameter ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)

## Protected Member Functions
void | setupPages ()
void | setupGeneralPage ()
void | showParameterActivity ()
void | applyPage (KPageWidgetItem *)
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Protected Attributes
ActivityWidget * | m_pActivityWidget
| the widget to represent
UMLView * | m_pView
| the diagram the widget is on
bool | m_bChangesMade
| holds whether changes in the dialog have been made
struct ActivityDialog::GeneralPageWidgets | m_GenPageWidgets
KPageWidgetItem * | pageItemGeneral
KPageWidgetItem * | pageItemFont
KPageWidgetItem * | pageItemStyle
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()

## Detailed Description

Displays the properties for a ActivityWidget

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ActivityDialog()

ActivityDialog::ActivityDialog | ( | QWidget * | parent,
|  | ActivityWidget * | pWidget )

Constructor.

## Member Function Documentation

## ◆ applyPage()

void ActivityDialog::applyPage | ( | KPageWidgetItem * | item | ) |
| protected

Applies changes to the given page.

## ◆ getChangesMade()

bool ActivityDialog::getChangesMade | ( |  | ) | const
| inline

## ◆ setupGeneralPage()

void ActivityDialog::setupGeneralPage | ( |  | ) |
| protected

Sets up the general page of the dialog.

## ◆ setupPages()

void ActivityDialog::setupPages | ( |  | ) |
| protected

Sets up the pages of the dialog.

## ◆ showParameterActivity()

void ActivityDialog::showParameterActivity | ( |  | ) |
| protected

Show the Activity Parameter entry text.

## ◆ slotApply

void ActivityDialog::slotApply | ( |  | ) |
| protectedslot

Entered when Apply button pressed.

## ◆ slotHideActivityParameter

void ActivityDialog::slotHideActivityParameter | ( |  | ) |
| protectedslot

## ◆ slotOk

void ActivityDialog::slotOk | ( |  | ) |
| protectedslot

Entered when OK button pressed.

## ◆ slotShowActivityParameter

void ActivityDialog::slotShowActivityParameter | ( |  | ) |
| protectedslot

## Member Data Documentation

## ◆ m_bChangesMade

bool ActivityDialog::m_bChangesMade
| protected

holds whether changes in the dialog have been made

## ◆ m_GenPageWidgets

struct ActivityDialog::GeneralPageWidgets ActivityDialog::m_GenPageWidgets
| protected

## ◆ m_pActivityWidget

ActivityWidget* ActivityDialog::m_pActivityWidget
| protected

the widget to represent

## ◆ m_pView

UMLView* ActivityDialog::m_pView
| protected

the diagram the widget is on

## ◆ pageItemFont

KPageWidgetItem * ActivityDialog::pageItemFont
| protected

## ◆ pageItemGeneral

KPageWidgetItem* ActivityDialog::pageItemGeneral
| protected

## ◆ pageItemStyle

KPageWidgetItem * ActivityDialog::pageItemStyle
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/activitydialog.h
- umbrello/dialogs/activitydialog.cpp